summaryrefslogtreecommitdiffstats
path: root/rescue-Flash/build
diff options
context:
space:
mode:
Diffstat (limited to 'rescue-Flash/build')
-rwxr-xr-xrescue-Flash/build32
1 files changed, 32 insertions, 0 deletions
diff --git a/rescue-Flash/build b/rescue-Flash/build
new file mode 100755
index 000000000..cc6ece4d1
--- /dev/null
+++ b/rescue-Flash/build
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+output_name="FLASHRESCUE"
+output_file="flashrescue.iso"
+
+rm -f $output
+
+echo -n "Gerando imagem ISO de $output_name: "
+
+cd root
+
+genisoimage -o ../$output_file \
+ -b i586/isolinux/isolinux.bin \
+ -c i586/isolinux/boot.cat \
+ -input-charset ISO-8859-1 \
+ -no-emul-boot \
+ -boot-load-size 4 \
+ -J -R -l \
+ -quiet \
+ -V $output_name \
+ -boot-info-table .
+
+if [ $? -eq 0 ]; then
+ output_size=$(ls -lah ../$output_file | awk '{ print $5 }')
+ echo "ok [$output_size]."
+ md5=$(md5sum ../$output_file | awk '{ print $1 }')
+ echo " md5: $md5"
+else
+ echo "erro."
+fi
+
+cd - > /dev/null